/*    %W% %G%
================================================================================
 Description : print or ignore TRACE for debugging
 Author      : Ryu, Byeong-Soon
================================================================================
*/

#ifndef	_DEBUG_
#define	_DEBUG_

#include <stdio.h>

#ifdef	TRACE_ON
#define TRACE(f)						fprintf(stderr,f)
#define TRACE1(f,s1)					fprintf(stderr,f,s1)
#define TRACE2(f,s1,s2)					fprintf(stderr,f,s1,s2)
#define TRACE3(f,s1,s2,s3)				fprintf(stderr,f,s1,s2,s3)
#define TRACE4(f,s1,s2,s3,s4)			fprintf(stderr,f,s1,s2,s3,s4)
#define TRACE5(f,s1,s2,s3,s4,s5)		fprintf(stderr,f,s1,s2,s3,s4,s5)
#else
#define TRACE(s)
#define TRACE1(f,s1)
#define TRACE2(f,s1,s2)
#define TRACE3(f,s1,s2,s3)
#define TRACE4(f,s1,s2,s3,s4)
#define TRACE5(f,s1,s2,s3,s4,s5)
#endif /* TRACE_ON */

#endif	/* _DEBUG_ */
