#define OP_MSB_FIRST					(char)66
#define OP_LSB_FIRST					(char)108

#define OP_ERROR						(char)0
#define OP_REPLY						(char)1
#define OP_BUTTON_PRESS					(char)4
#define OP_BUTTON_RELEASE				(char)5
#define OP_CIRCULATE_NOTIFY				(char)26
#define OP_CLIENT_MESSAGE				(char)33
#define OP_COLORMAP_NOTIFY				(char)32
#define OP_CONFIGURE_NOTIFY				(char)22
#define OP_CONFIGURE_REQUEST			(char)23
#define OP_CREATE_NOTIFY				(char)16
#define OP_FOCUS_IN						(char)9
#define OP_DESTROY_NOTIFY				(char)17
#define OP_ENTER_NOTIFY					(char)7
#define OP_EXPOSE						(char)12
#define OP_FOCUS_OUT					(char)10
#define OP_GRAPHICS_EXPOSE				(char)13
#define OP_GRAVITY_NOTIFY				(char)24
#define OP_KEYMAP_NOTIFY				(char)11
#define OP_KEY_PRESS					(char)2
#define OP_KEY_RELEASE					(char)3
#define OP_LEAVE_NOTIFY					(char)8
#define OP_MAP_NOTIFY					(char)19
#define OP_MAPPING_NOTIFY				(char)34
#define OP_MAP_REQUEST					(char)20
#define OP_MOTION_NOTIFY				(char)6
#define OP_NO_EXPOSE					(char)14
#define OP_SELECTION_CLEAR				(char)29
#define OP_REPARE_NOTIFY				(char)21
#define OP_RESIZE_REQUEST				(char)25
#define OP_SELECTION_NOTIFY				(char)31
#define OP_SELECTION_REQUEST			(char)30
#define OP_UNMAP_NOTIFY					(char)18
#define OP_VISIBILITY_NOTIFY			(char)15

#define OP_ALLOC_COLOR					(char)84
#define OP_ALLOC_COLOR_CELLS			(char)86
#define OP_ALLOC_COLOR_PLANES			(char)87
#define OP_ALLOC_NAMED_COLOR			(char)85
#define OP_ALLOW_EVENTS					(char)35
#define OP_BELL							(char)104
#define OP_CHANGE_ACTIVE_POINTER_GRAB	(char)30
#define OP_CHANGE_GC					(char)56
#define OP_CHANGE_HOSTS					(char)109
#define OP_CHANGE_KEYBOARD_CONTROL		(char)102
#define OP_CHANGE_KEYBOARD_MAPPING		(char)100
#define OP_CHANGE_POINTER_CONTROL		(char)105
#define OP_CHANGE_PROPERTY				(char)18
#define OP_CHANGE_SACE_SET				(char)6
#define OP_CHANGE_WINDOW_ATTRIBUTES		(char)2
#define OP_CIRCULATE_REQUEST			(char)27
#define OP_CIRCULATE_WINDOW				(char)13
#define OP_CLEAR_AREA					(char)61
#define OP_CLOSE_FONT					(char)46
#define OP_CONFIGURE_WINDOW				(char)12
#define OP_CONVERT_SELECTION			(char)24
#define OP_COPY_AREA					(char)62
#define OP_COPY_COLORMAP_AND_FREE		(char)80
#define OP_COPY_GC						(char)57
#define OP_COPY_PLANE					(char)63
#define OP_CREATE_COLORMAP				(char)78
#define OP_CREATE_CURSOR				(char)93
#define OP_CREATE_GC					(char)55
#define OP_CREATE_GLYPH_CURSOR			(char)94
#define OP_CREATE_PIXMAP				(char)53
#define OP_CREATE_WINDOW				(char)1
#define OP_DELETE_PROPERTY				(char)19
#define OP_DESTROY_SUBWINDOW			(char)5
#define OP_DESTROY_WINDOW				(char)4
#define OP_FILL_POLY					(char)69
#define OP_FORCE_SCREEN_SAVER			(char)115
#define OP_FREE_COLORMAP				(char)79
#define OP_FREE_COLORS					(char)88
#define OP_FREE_CURSOR					(char)95
#define OP_FREE_GC						(char)60
#define OP_FREE_PIXMAP					(char)54
#define OP_GET_ATOM_NAME				(char)17
#define OP_GET_FONT_PATH				(char)52
#define OP_GET_GEOMETRY					(char)14
#define OP_GET_IMAGE					(char)73
#define OP_GET_INPUT_FOCUS				(char)43
#define OP_GET_KEYBOARD_CONTROL			(char)103
#define OP_GET_KEYBOARD_MAPPING			(char)101
#define OP_GET_MODIFIER_MAPPING			(char)119
#define OP_GET_MOTION_EVENTS			(char)39
#define OP_GET_POINTER_CONTROL			(char)106
#define OP_GET_POINTER_MAPPING			(char)117
#define OP_GET_PROPERTY					(char)20
#define OP_GET_SCREEN_SAVER				(char)108
#define OP_GET_SELECTION_OWNER			(char)23
#define OP_GET_WINDOW_ATTRIBUTES		(char)3
#define OP_GRAB_BUTTON					(char)28
#define OP_GRAB_KEY						(char)33
#define OP_GRAP_KEYBOARD				(char)31
#define OP_GRAB_POINTER					(char)26
#define OP_GRAB_SERVER					(char)36
#define OP_IMAGE_TEXT8					(char)76
#define OP_IMAGE_TEXT16					(char)77
#define OP_INSTALL_COLORMAP				(char)81
#define OP_INTERN_ATOM					(char)16
#define OP_KILL_CLIENT					(char)113
#define OP_LIST_EXTENSIONS				(char)99
#define OP_LIST_FONTS					(char)49
#define OP_LIST_FONTS_WITH_INFO			(char)50
#define OP_LIST_HOSTS					(char)110
#define OP_LIST_INSTALLED_COLORMAPS		(char)83
#define OP_LIST_PROPERTIES				(char)21
#define OP_LOOKUP_COLOR					(char)92
#define OP_MAP_SUB_WINDOWS				(char)9
#define OP_MAP_WINDOW					(char)8
#define OP_NO_OPERATION					(char)127
#define OP_OPEN_FONT					(char)45
#define OP_POLY_ARC						(char)68
#define OP_POLY_FILL_ARC				(char)71
#define OP_POLY_FILL_RECTANGLE			(char)70
#define OP_POLY_LINE					(char)65
#define OP_POLY_POINT					(char)64
#define OP_POLY_RECTANGLE				(char)67
#define OP_POLY_SEGMENT					(char)66
#define OP_POLY_TEXT8					(char)74
#define OP_POLY_TEXT16					(char)75
#define OP_PROPERTY_NOTIFY				(char)28
#define OP_PUT_IMAGE					(char)72
#define OP_QUERY_BEST_SIZE				(char)97
#define OP_QUERY_COLORS					(char)91
#define OP_QUERY_EXTENSION				(char)98
#define OP_QUERY_FONT					(char)47
#define OP_QUERY_KEYMAP					(char)44
#define OP_QUERY_POINTER				(char)38
#define OP_QUERY_TEXT_EXTENTS			(char)48
#define OP_QUERY_TREE					(char)15
#define OP_RECOLOR_CURSOR				(char)96
#define OP_REPARENT_WINDOW				(char)7
#define OP_ROTATE_PROPERTIES			(char)114
#define OP_SEND_EVENT					(char)25
#define OP_SET_ACCESS_CONTROL			(char)111
#define OP_SET_CLIP_RECTANGLE			(char)59
#define OP_SET_CLOSE_DOWN_MODE			(char)112
#define OP_SET_DASHES					(char)58
#define OP_SET_FONT_PATH				(char)51
#define OP_SET_INPUT_FOCUS				(char)42
#define OP_SET_MODIFIER_MAPPING			(char)118
#define OP_SET_POINTER_MAPPING			(char)116
#define OP_SET_SCREEN_SAVER				(char)107
#define OP_SET_SELECTION_OWNER			(char)22
#define OP_STORE_COLORS					(char)89
#define OP_STORE_NAMED_COLOR			(char)90
#define OP_TRANSLATE_COORDINATES		(char)40
#define OP_UNGRAB_BUTTON				(char)29
#define OP_UNGRAB_KEY					(char)34
#define OP_UNGRAB_KEYBOARD				(char)32
#define OP_UNGRAB_POINTER				(char)27
#define OP_UNGRAB_SERVER				(char)37
#define OP_UNINSTALL_COLORMAP			(char)82
#define OP_UNMAP_SUBWINDOWS				(char)11
#define OP_UNMAP_WINDOW					(char)10
#define OP_WRAP_POINTER					(char)41
