/*    %W% %G%
================================================================================
  Description :
  Author      : Ryu, Byeong-Soon
================================================================================
*/

#ifndef	_SOCKET_
#define	_SOCKET_

#include <sys/types.h>

#define MAX_HOSTNAME	100

#define DO_FORK			1
#define DONOT_FORK		0

typedef struct sockaddr_in	SockAddrIn;
typedef void				(*SockHandler)(int, SockAddrIn*);

int
SockInitializeServer(int port),
SockInitializeClient(char *hostname, int port),
SockReadN(int fd, char *ptr, int nbytes),
SockWriteN(int fd, char *ptr, int nbytes),
SockReadLine(int fd, char *ptr, int maxlen);

void
SockAccept(int sid, SockHandler doit, int do_fork);

#endif	/* _SOCKET_ */
